body, html {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  height: 100%;
}
#top-banner {
   display: flex;
   align-items: center;
   padding: 10px 20px;
   background-color: #004d40;
   color: white;
   border-bottom: 4px solid #009688;
   height: 60px;
}
#logo {
   height: 60px;
   margin-right: 20px;
}
#site-description  {
   margin: 0;
   font-size: 12px;
   flex-grow: 1;
}

#audio-bar {
   display: flex;
   justify-content: center;
   margin: 6px 0;
   height: 48px;
   border-radius: 12px;
   padding: 6px 10px;
   flex-direction: column;
}

#user-name {
   font-size: 16px;
   margin-top: 8px;
   font-weight: bold;
   color: #fff
}

.cart-btn {
  background-color: #004d40;
  color: white;
  border: 1px solid #004d40;
  padding: 8px 10px;
  border-radius: 6px;

  cursor: pointer;
}

.cart-overlay {
  display: none;
  position: fixed;
  top:0; left:0;
  width:100%; height:100%;

  background: rgba(0,0,0,0.5);

  justify-content: center;
  align-items: center;
}

.home-btn {
  background-color: #004d40;
  color: white;
  border: 1px solid #004d40;
  padding: 8px 10px;
  border-radius: 6px;
  cursor: pointer;
}

.home-overlay {
  display: none;
  position: fixed;
  top:0; left:0;
  width:100%; height:100%;

  background: rgba(0,0,0,0.5);

  justify-content: center;
  align-items: center;
}

/* 卡片 */
.cart-box {
  background: #f9fafb;   /* 🔥 柔和白 */
  padding: 20px;
  width: 320px;

  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

/* cart item */
#cartList {
  list-style: none;
  padding: 0;
  margin: 10px 0;
}

/* 每一列 */
.cart-item {
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 8px;
  margin-bottom: 6px;

  background: white;
  border-radius: 6px;
}

/* delete button */
.delete-btn {
  background: transparent;
  border: none;
  color: red;
  cursor: pointer;
  font-size: 16px;
}

/* actions */
.cart-actions {
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

/* checkout */
.checkout-btn {
  background: #0070ba;   /* PayPal 藍 */
  color: white;
  border: none;
  padding: 6px 12px;
  border-radius: 6px;
}

/* close */
.close-btn {
  background: #ccc;
  border: none;
  padding: 6px 12px;
  border-radius: 6px;
}
/* hover */
.cart-btn:hover {
  /*background-color: #444;*/
  background-color: #004d40;
}

#container {
  display: flex;
  height: 100vh;
}

#sidebar-saved {
  width: 220px;
  background-color: #f0f0f0;
  padding: 20px 10px;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
#sidebar {
  width: 20%;
  padding: 20px 10px;
  box-sizing: border-box;
  flex-direction: column;
  height: 100%;
  overflow-y: auto;
}
.category-item {
  font-size: 16px;
  padding: 15px 10px;
  margin-bottom: 10px;
  background-color: #fff;
  border-radius: 20px;
  cursor: pointer;
  text-align: center;
  box-shadow: 0 5px 9px rgba(0,0,0,0.1);
  transition: background-color 0.2s;
}
.category-item:hover {
  background-color: #e0e0e0;
}
.category-item.active {
  background-color: #ffa500;
  font-weight: bold;
  #border-left: 4px solid #ff6600;
}
#main {
  width: 80%;
  flex-grow: 1;
  padding: 1em;
}
.course-row {
  display: flex;
  align-items: center;
  margin-bottom: 1em;
  min-height: 100px;
  border-bottom: 1px solid #ccc;
}
.course-row img {
  width: 80px;
  height: 80px;
  margin-right: 20px;
}
.course-row button {
  margin-left: 2px;
  margin-right: 8px;
}
.course-description {
   font-size: 14px;
   line-height: 1.5;
   color: #333;
   background: #fff;
   padding: 8px;
   border-radius: 4px;
   min-height: 60px;
}


/* 背景遮罩 */
.dialog-overlay {
  display: none;
  position: fixed;
  top:0; left:0;
  width:100%; height:100%;

  background: rgba(0,0,0,0.5);

  justify-content: center;
  align-items: center;

  z-index: 9999;
}

/* Dialog box */
.dialog-box {
  background: #f9fafb;
  padding: 20px;
  width: 280px;

  border-radius: 12px;
  text-align: center;

  box-shadow: 0 8px 20px rgba(0,0,0,0.2);
}

/* message */
#dialogMessage {
  margin-bottom: 15px;
  font-size: 15px;
}

/* button */
.dialog-actions button {
  background: #0070ba;
  color: white;

  border: none;
  padding: 6px 14px;

  border-radius: 6px;
  cursor: pointer;
}
